Create Order
The create order API allows you to create a new order in our system. You can use this API to add products to the cart and proceed to checkout.
Endpoint
🔗Endpoint Staging
POST https://staging.manage-api.miniap.vn/api/external/order/pos/create
🔗Endpoint Production
POST https://manage-api.miniap.vn/api/external/order/pos/create
Request Body
- Request Body
{
"userId": "685930fd539ae361bb35fa62",
"orderItems": [
{
"id": "68591093c28c070d6b14226e",
"quantity": 1,
"price": 499000,
"discount": 0,
"vat": 8,
"name": "MiniShop"
},
{
"id": "685910d2761f8d066ac0e255",
"quantity": 1,
"price": 3999000,
"discount": 0,
"vat": 8,
"name": "Giải pháp Affiliate"
}
],
"discount": 15000,
"paymentMethod": "cash",
"shippingFee": 15000,
"note": "Note",
"total": 4498000,
"paidAmount": 5000000,
"isPaid": true
}
Response
- Response Body
{
"message": "success",
"data": {
"code": "bMmcV6YjOX",
"paymentMethod": "cash",
"addressId": null,
"userId": "685930fd539ae361bb35fa62",
"shopId": "64204a17a5a97a86f12e1f0a",
"price": 4498000,
"untaxedPrice": 4164815,
"discount": 15000,
"originPrice": 4498000,
"isPaid": true,
"paidAmount": 5000000,
"status": "pending",
"note": "Note",
"shippingFee": 15000,
"search": "bmmcv6yjox, 0335214562, Lê Quốc An",
"platform": "mini_pos",
"_id": "68c940d1802d36826bc464af",
"createdAt": "2025-09-16T10:49:53.931Z",
"updatedAt": "2025-09-16T10:49:53.931Z",
"__v": 0,
"id": "68c940d1802d36826bc464af"
}
}